LLVM: lldb::SBPlatformConnectOptions Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
lldb::SBPlatformConnectOptions Class Reference

`#include <SBPlatform.h>`

Collaboration diagram for lldb::SBPlatformConnectOptions:
[legend]

## Public Member Functions
| SBPlatformConnectOptions (const char *url)
| SBPlatformConnectOptions (const SBPlatformConnectOptions &rhs)
| ~SBPlatformConnectOptions ()
void | operator= (const SBPlatformConnectOptions &rhs)
const char * | GetURL ()
void | SetURL (const char *url)
bool | GetRsyncEnabled ()
void | EnableRsync (const char *options, const char *remote_path_prefix, bool omit_remote_hostname)
void | DisableRsync ()
const char * | GetLocalCacheDirectory ()
void | SetLocalCacheDirectory (const char *path)

## Protected Attributes
PlatformConnectOptions * | m_opaque_ptr

## Detailed Description

Definition at line 24 of file SBPlatform.h.

## Constructor & Destructor Documentation

lldb::SBPlatformConnectOptions::SBPlatformConnectOptions | ( | const char * | url | ) |

lldb::SBPlatformConnectOptions::SBPlatformConnectOptions | ( | const SBPlatformConnectOptions & | rhs | ) |

lldb::SBPlatformConnectOptions::~SBPlatformConnectOptions | ( |  | ) |

## Member Function Documentation

void lldb::SBPlatformConnectOptions::DisableRsync | ( |  | ) |

void lldb::SBPlatformConnectOptions::EnableRsync | ( | const char * | options,
|  | const char * | remote_path_prefix,
|  | bool | omit_remote_hostname
| ) |  |

const char* lldb::SBPlatformConnectOptions::GetLocalCacheDirectory | ( |  | ) |

bool lldb::SBPlatformConnectOptions::GetRsyncEnabled | ( |  | ) |

const char* lldb::SBPlatformConnectOptions::GetURL | ( |  | ) |

void lldb::SBPlatformConnectOptions::operator= | ( | const SBPlatformConnectOptions & | rhs | ) |

void lldb::SBPlatformConnectOptions::SetLocalCacheDirectory | ( | const char * | path | ) |

void lldb::SBPlatformConnectOptions::SetURL | ( | const char * | url | ) |

## Member Data Documentation

PlatformConnectOptions* lldb::SBPlatformConnectOptions::m_opaque_ptr
| protected

Definition at line 50 of file SBPlatform.h.

The documentation for this class was generated from the following file:

- SBPlatform.h